#version 330 core
layout (location = 0) in vec3 vPos;
layout (location = 1) in vec3 vNormal;
layout (location = 2) in vec2 vTexCoord;
invariant gl_Position;

//varying vec3 color;
uniform mat4 MVP;

out vec3 FragPos;
out vec3 ourNormal;
out vec2 TexCoord;

void main()
{
    //vec3 vNormal = vec3(1.0,1.0,0.0);

   gl_Position = MVP * vec4(vPos, 1.0);
   FragPos = vec3(MVP * vec4(vPos, 1.0));
	ourNormal = vNormal;
	//ourColor = vec3(0.0f,sign(vPos.y),0.0f);
	//ourColor = vec3(0.0f,1.0f,0.0f);
	//TexCoord = vec2(vTexCoord.x, vTexCoord.y);
	TexCoord = vec2(vPos.x, vPos.z);
};
